#### PyKDE - Python Bindings for KDE

# class KFileIconViewItem |
Table of contents
Modules
kfile Classes
All Classes

Module | kfile
Class | KFileIconViewItem
Inherits | KIconViewItem

### methods

- KFileIconViewItem (parent, text, pixmap, fi)

  returns a KFileIconViewItem instance
  Argument | Type | Default
  --- | --- | ---
  parent | QIconView |
  text | QString |
  pixmap | QPixmap |
  fi | KFileItem |

- KFileIconViewItem (parent, fi)

  returns a KFileIconViewItem instance
  In versions KDE 3.0.1 and above only
  Argument | Type | Default
  --- | --- | ---
  parent | QIconView |
  fi | KFileItem |

- fileInfo ()

  returns (KFileItem)